from math import gcd


def find_path(a, b):
    if gcd(a, b) != 1:
        return "no"

    path = []
    left_num, left_den = 0, 1
    right_num, right_den = 1, 0

    while True:
        mediant_num = left_num + right_num
        mediant_den = left_den + right_den

        if mediant_num == a and mediant_den == b:
            return ''.join(path)

        if a * mediant_den < b * mediant_num:
            path.append('L')
            right_num, right_den = mediant_num, mediant_den
        else:
            path.append('R')
            left_num, left_den = mediant_num, mediant_den

input_data = input()
a, b = map(int, input_data.split())
print("R"+find_path(a, b))